/*******************************************************************************
 * Path_WithinDistanceEnvelope generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class Path_WithinDistanceEnvelope extends PathConstraint
    native(AI);

var() float MaxDistance;
var() float MinDistance;
var() bool bSoft;
var() bool bOnlyThrowOutNodesThatLeaveEnvelope;
var() float SoftStartPenalty;
var() Vector EnvelopeTestPoint;

static function bool StayWithinEnvelopeToLoc(Pawn P, Vector InEnvelopeTestPoint, float InMaxDistance, float InMinDistance, optional bool bInSoft, optional float InSoftStartPenalty, optional bool bOnlyTossOutSpecsThatLeave)
{
    local Path_WithinDistanceEnvelope Con;

    bInSoft = true;
    InSoftStartPenalty = -1.0;    
    // End:0x199
    if(P != none)
    {
        Con = Path_WithinDistanceEnvelope(P.CreatePathConstraint(default.Class));
        // End:0x199
        if(Con != none)
        {
            Con.EnvelopeTestPoint = InEnvelopeTestPoint;
            Con.bSoft = bInSoft;
            Con.MaxDistance = InMaxDistance;
            Con.MinDistance = InMinDistance;
            Con.bOnlyThrowOutNodesThatLeaveEnvelope = bOnlyTossOutSpecsThatLeave;
            // End:0x16F
            if(InSoftStartPenalty > -1.0)
            {
                Con.SoftStartPenalty = InSoftStartPenalty;
            }
            P.AddPathConstraint(Con);
            return true;
        }
    }
    return false;
    //return ReturnValue;    
}

function Recycle()
{
    super.Recycle();
    MaxDistance = default.MaxDistance;
    MinDistance = default.MinDistance;
    bSoft = default.bSoft;
    SoftStartPenalty = default.SoftStartPenalty;
    EnvelopeTestPoint = default.EnvelopeTestPoint;
    bOnlyThrowOutNodesThatLeaveEnvelope = default.bOnlyThrowOutNodesThatLeaveEnvelope;
    //return;    
}

defaultproperties
{
    bSoft=true
    SoftStartPenalty=320.0
    CacheIdx=3
}